## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           ugrep
Version:        3.12.7
Release:        %autorelease
Summary:        Faster, user-friendly, and compatible grep replacement
License:        BSD-3-Clause
URL:            https://github.com/Genivia/ugrep
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  gcc-c++
BuildRequires:  pcre2-devel
BuildRequires:  zlib-devel
BuildRequires:  bzip2-devel
BuildRequires:  xz-devel
BuildRequires:  lz4-devel
BuildRequires:  libzstd-devel

# https://github.com/Genivia/ugrep/issues/215
Provides:       bundled(libreflex) = 3.3.0


%description
Ultra fast grep with interactive TUI, fuzzy search, boolean queries, hexdumps
and more: search file systems, source code, text, binary files, archives
(cpio/tar/pax/zip), compressed files (gz/Z/bz2/lzma/xz/lz4/zstd), documents
etc.  A faster, user-friendly and compatible grep replacement.


%prep
%autosetup


%build
%ifarch %{arm}
# https://github.com/Genivia/ugrep/issues/128
%configure --disable-neon
%else
%configure
%endif
%make_build


%install
%make_install


%check
%make_build test


%files
%license LICENSE.txt
%{_bindir}/ug
%{_bindir}/ug+
%{_bindir}/ugrep
%{_bindir}/ugrep+
%{_mandir}/man1/ug.1*
%{_mandir}/man1/ugrep.1*
%{_datadir}/ugrep


%changelog
* Wed Aug 16 2023 Carl George <carlwgeorge@fedoraproject.org> - 3.12.7-1
- Update to version 3.12.7, resolves rhbz#2232315

* Sun Aug 13 2023 Carl George <carlwgeorge@fedoraproject.org> - 3.12.6-1
- Update to version 3.12.6, resolves rhbz#2212092

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.11.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Apr 16 2023 Carl George <carl@george.computer> - 3.11.2-1
- Update to version 3.11.2, resolves rhbz#2179547

* Wed Mar 01 2023 Carl George <carl@george.computer> - 3.10.0-1
- Update to version 3.10.0, resolves rhbz#2174333

* Fri Feb 03 2023 Carl George <carl@george.computer> - 3.9.7-1
- Update to version 3.9.7, resolves rhbz#2157204

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.9.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Aug 23 2022 Carl George <carl@george.computer> - 3.9.2-2
- Disable NEON optimizations on 32bit ARM

* Mon Aug 22 2022 Carl George <carl@george.computer> - 3.9.2-1
- Latest upstream 3.9.2

* Mon Aug 22 2022 Carl George <carl@george.computer> - 3.8.3-1
- Initial import, resolves rhbz#2109340
